#ifndef DEV
#define DEV

#include <stdio.h>
#include "image.h"


// seuilgerme.c
Image RempliRegionV8R(Image imaS,Image imaD, int germex,int germey, Reel seuil, Reel niv);
Image SeuilParGermesR(Image imS,Image imG,Image imD,Reel seuilRel,Reel niv);
Image SeuilParGermesV8R(Image imS,Image imG,Image imD,Reel seuilRel,Reel niv);
Image SeuilLaplGermesR(Image imS,Image imD,Reel echLapl,Reel seuilLapl,Reel seuilGerme);

// segradv3.cpp
Image Separe3R(Image imS1,Image imD,float concav,int maxi);
Image SepareSelect3R(Image imS1,Image imD,float concav,int maxi);
Image Grad3x3C(Image imS,Image imD);
Image SeuilHysteresisR(Image imS,Image imD,float sHaut, float sBas);
Image EffaceBordV8R(Image imaS,Image imaD);
Image SegParGradient3x3R(Image imS,Image imD,float sHaut,float sBas,int remplis);

// fichier segsoleil.c
Image ProlongeTaillePuiss2R(Image imS,Image imD);
Image ExtraitFenetreProlongeR(Image imS1,Image imS2,Image imD);
Image SegLaplacienSoleil(Image imS,Image imD,float echLap,float seuilLap,float seuilRel,float seuilCourb);
int Seg_Laplacien_Soleil(char *nomS,char *nomD,float echLap,float seuilLap,float seuilRel,float seuilCourb);

// fitsimg.c
Image ChargeFits(Image imD,char *nom);
int SauveFits(Image imS,char *nom);

#endif
